=== debian/changelog ===
mcpl (1.3.2-4) unstable; urgency=medium

  * ACK NMU. Thanks, Andreas!
  * Also add missing Vcs-* fields.
  * Bug fix: "FTBFS with CMake 4", thanks to roehling@debian.org</a>;
    (Closes: #1113271).

 -- Roland Mas <lolando@debian.org>  Fri, 24 Oct 2025 17:07:44 +0200

mcpl (1.3.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libmcpl-dev: missing Depends on runtime library packages.
    Closes: #1035450

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 May 2023 06:57:53 +0200

mcpl (1.3.2-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Feb 2022 20:32:02 +0100

mcpl (1.3.2-2) unstable; urgency=medium

  * Update debian/copyright to mention zlib license.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Dec 2021 15:11:14 +0100

mcpl (1.3.2-1) unstable; urgency=medium

  * Initial release (Closes: #999411).

 -- Roland Mas <lolando@debian.org>  Tue, 21 Dec 2021 16:54:20 +0100
