=== debian/control ===
Source: mcpl
Section: science
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, dh-python, python3-all
Standards-Version: 4.5.1
Homepage: https://mctools.github.io/mcpl/
Vcs-Browser: https://salsa.debian.org/science-team/mcpl
Vcs-Git: https://salsa.debian.org/science-team/mcpl.git
Rules-Requires-Root: no

Package: mcpl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Monte Carlo Particle Lists - libraries and tools
 This package includes the core utilities for reading and writing
 *.mcpl files, a binary format with lists of particle state
 information, for interchanging and reshooting events between various
 Monte Carlo simulation applications. The core utilities include both
 command line tools and programming interfaces for C/C++ and python.

Package: libmcpl-dev
Architecture: any
Depends: libmcpl1 (= ${binary:Version}),
 libphitsmcpl1 (= ${binary:Version}),
 libsswmcpl1 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Monte Carlo Particle Lists - development files
 This package includes the shared library for reading and writing
 *.mcpl files, a binary format with lists of particle state
 information, for interchanging and reshooting events between various
 Monte Carlo simulation applications.

Package: libmcpl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Monte Carlo Particle Lists - library
 This package includes the shared library for reading and writing
 *.mcpl files, a binary format with lists of particle state
 information, for interchanging and reshooting events between various
 Monte Carlo simulation applications.

Package: libphitsmcpl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Monte Carlo Particle Lists - PHITS library
 This package includes the shared library for reading and writing
 *.mcpl files, a binary format with lists of particle state
 information, for interchanging and reshooting events between various
 Monte Carlo simulation applications.

Package: libsswmcpl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Monte Carlo Particle Lists - SSW library
 This package includes the shared library for reading and writing
 *.mcpl files, a binary format with lists of particle state
 information, for interchanging and reshooting events between various
 Monte Carlo simulation applications.
