=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_CONFIGURE_OPTS := -DCMAKE_POLICY_VERSION_MINIMUM=3.5

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install
	dh_python3
	rm -rfv $(CURDIR)/debian/*/usr/python

override_dh_auto_configure:
	dh_auto_configure -- $(DH_AUTO_CONFIGURE_OPTS)
