=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mcpl-$1.tar.gz/ \
 https://github.com/mctools/mcpl/releases .*/archive.*/v?([\d\.]+).tar.gz
